
/* 1. Use a more-intuitive box-sizing model */
*, *::before, *::after {
    box-sizing: border-box;
}

/* 2. Remove default margin */
* {
    margin: 0;
}

/* 3. Enable keyword animations */
@media (prefers-reduced-motion: no-preference) {
    html {
        interpolate-size: allow-keywords;
    }
}

/* 3. Enable keyword animations */
@media (width <= 768px) {
    html {
        font-size: 0.8rem;
    }
}

body {
    /* 4. Add accessible line-height */
    line-height: 1.5;
    /* 5. Improve text rendering */
    -webkit-font-smoothing: antialiased;
    background-color: #F8F9FB;
    padding-left: 2rem;
    padding-right: 2rem;
}

/* 6. Improve media defaults */
img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}

/* 7. Inherit fonts for form controls */
input, button, textarea, select {
    font: inherit;
}

/* 8. Avoid text overflows */
p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}


/*
  10. ul, li padding reset
*/
ul, li {
    padding: 0;
}

/*
  11. Create a root stacking context
*/
#root, #__next {
    isolation: isolate;
}

/*
  12. Font
 */
body {
    font-family: 'OpenSauce', sans-serif;
    /*font-size: 0.9rem;*/
}


:root, .light, .light-theme {
    --primary-color: #00193C;
    --tertiary-color: #FFDF96;

    --cta-button-color: #0A5AC2;
    --button-hover-color: #05244D;

    --gray-one: #747780;
}

/*:root, .light, .light-theme {*/
/*    --blue-1: #fcfdff;*/
/*    --blue-2: #f5f9ff;*/
/*    --blue-3: #eaf3ff;*/
/*    --blue-4: #dbecff;*/
/*    --blue-5: #c9e2ff;*/
/*    --blue-6: #b5d4ff;*/
/*    --blue-7: #9bc3fc;*/
/*    --blue-8: #75aaf7;*/
/*    --blue-9: #062d60;*/
/*    --blue-10: #1b4176;*/
/*    --blue-11: #0A5AC2;*/
/*    --blue-12: #0b3265;*/

/*    --blue-a1: #0055ff03;*/
/*    --blue-a2: #0066ff0a;*/
/*    --blue-a3: #006eff15;*/
/*    --blue-a4: #0079ff24;*/
/*    --blue-a5: #0077ff36;*/
/*    --blue-a6: #016bff4a;*/
/*    --blue-a7: #0066f864;*/
/*    --blue-a8: #0062f18a;*/
/*    --blue-a9: #00285cf9;*/
/*    --blue-a10: #002b66e4;*/
/*    --blue-a11: #0044a3c1;*/
/*    --blue-a12: #00295ef4;*/

/*    --blue-contrast: #fff;*/
/*    --blue-surface: #f3f8ffcc;*/
/*    --blue-indicator: #062d60;*/
/*    --blue-track: #062d60;*/
/*    --tertiary-color: #FCD269;*/
/*    --neutral-color: #F7F8FA;*/
/*}*/

/*@supports (color: color(display-p3 1 1 1)) {*/
/*    @media (color-gamut: p3) {*/
/*        :root, .light, .light-theme {*/
/*            --blue-1: oklch(99.3% 0.0031 257.4);*/
/*            --blue-2: oklch(98.2% 0.0097 257.4);*/
/*            --blue-3: oklch(96% 0.0201 257.4);*/
/*            --blue-4: oklch(93.7% 0.038 257.4);*/
/*            --blue-5: oklch(90.5% 0.0554 257.4);*/
/*            --blue-6: oklch(86.4% 0.0721 257.4);*/
/*            --blue-7: oklch(80.9% 0.092 257.4);*/
/*            --blue-8: oklch(73.4% 0.125 257.4);*/
/*            --blue-9: oklch(30.5% 0.1001 257.4);*/
/*            --blue-10: oklch(37.9% 0.1001 257.4);*/
/*            --blue-11: oklch(54.8% 0.125 257.4);*/
/*            --blue-12: oklch(32.2% 0.1001 257.4);*/

/*            --blue-a1: color(display-p3 0.0235 0.349 1 / 0.012);*/
/*            --blue-a2: color(display-p3 0.0235 0.349 0.8941 / 0.036);*/
/*            --blue-a3: color(display-p3 0.0078 0.3725 0.949 / 0.075);*/
/*            --blue-a4: color(display-p3 0.0078 0.4 0.9412 / 0.13);*/
/*            --blue-a5: color(display-p3 0.0078 0.3922 0.9412 / 0.193);*/
/*            --blue-a6: color(display-p3 0.0039 0.3569 0.9451 / 0.267);*/
/*            --blue-a7: color(display-p3 0.0039 0.3412 0.9137 / 0.361);*/
/*            --blue-a8: color(display-p3 0.0039 0.3255 0.8902 / 0.499);*/
/*            --blue-a9: color(display-p3 0 0.1098 0.3176 / 0.93);*/
/*            --blue-a10: color(display-p3 0 0.1255 0.3529 / 0.855);*/
/*            --blue-a11: color(display-p3 0 0.2118 0.5843 / 0.71);*/
/*            --blue-a12: color(display-p3 0 0.1137 0.3216 / 0.91);*/

/*            --blue-contrast: #fff;*/
/*            --blue-surface: color(display-p3 0.9569 0.9725 1 / 0.8);*/
/*            --blue-indicator: oklch(30.5% 0.1001 257.4);*/
/*            --blue-track: oklch(30.5% 0.1001 257.4);*/
/*        }*/
/*    }*/
/*}*/

button {
    display: flex;
    align-items: center;
    color: #FFF;
    /*border: var(--iris-6);*/
    /*outline: 1px solid var(--iris-6);*/
    background-color: var(--primary-color);
    border-radius: 6px;
    padding: 0.5em 1.5em;
    font-weight: bold;
    transition: background-color 0.3s ease, transform 0.1s ease; ;
    /* 1. Add this to kill the black shadow */
    /*box-shadow: none;*/

    /* 2. Clear any lingering native borders just in case */
    border: none;
    &:hover {
        cursor: pointer;
        color: #FFF;
        background-color: var(--button-hover-color);
    }
    &:focus-visible {
        outline: 3px solid var(--button-hover-color);
        outline-offset: 3px;
    }

    &:active {
        transform: scale(0.98);
    }
}

input, textarea {
    max-height: 50px;
    padding-inline: 12px;
    padding-block: 6px;
    border-radius: 6px;
    flex: 1 0 16rem;
    background-color: #f2f5f8;
    font-size: .875rem;
    line-height: 1.5rem;
    border: none;
    /*outline: oklch(37.3% .034 259.733) solid 1px;*/
    outline-offset: calc(1px * -1);

    &::placeholder {
        color: #6B7280;
        opacity: 0.6;
    }

    &:focus {
        outline: 2px solid oklch(58.5% .233 277.117);
    }

    @container (width <= 350px) {
        flex-basis: auto;
    }
}

